﻿using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.CommandWpf;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MVVMLightDemo.ViewModel
{
    public class CommandViewModel:ViewModelBase
    {
        public CommandViewModel()
        { 
           //构造函数   
        }

        #region 属性

        private String info;
        /// <summary>
        /// 显示信息
        /// </summary>
        public String Info
        {
            get { return info; }
            set { info = value; RaisePropertyChanged(() => Info); }
        }

        #endregion



        #region 命令

        private RelayCommand clickCommand;
        /// <summary>
        /// 单击命令（获取当前时间）
        /// </summary>
        public RelayCommand ClickCommand
        {
            get {
                if (clickCommand == null)
                    clickCommand = new RelayCommand(()=>ExcuteClick());
                return clickCommand;
            
            }
            set { clickCommand = value; }
        }
        /// <summary>
        /// 单击执行函数（获取当前时间）
        /// </summary>
        private void ExcuteClick()
        {
            Info = DateTime.Now.ToString();
        }

        #endregion

    }
}